<div fxLayout="column">

  <app-header [title]="'Dashboard'" icon="dashboard"></app-header>

  <div style="margin-top: 1rem;" fxLayout="row wrap" fxLayoutAlign="space-evenly">

    <mat-card
      (click)="navigateTo(card.link)"
      *ngFor="let card of cardInfo" [fxFlex.gt-lg]="22" [fxFlex.lt-sm]="100"  [fxFlex.sm]="100" [fxFlex.lg]="45" [fxFlex.lt-md]="45" [fxFlex.lt-lg]="45" style="height: 150px; cursor:pointer; border-radius: 5px; margin: 1rem;" class="rectangle">
      <mat-card-header fxLayout="row" fxLayoutAlign="center center" class="ff-c">{{card.title}}</mat-card-header>
      <mat-card-content fxLayout="row" fxLayoutAlign="center center" style="height: 100px;">
        <div class="triangle" [style.border-bottom]="'150px solid '+card.color"></div>
        <div class="triangle2" [style.border-top]="'150px solid '+card.color"></div>

        <div style="position:absolute; right: 35px; bottom: 25px;">
          <mat-icon style="color: white;">{{card.icon}}</mat-icon>
        </div>
        <label style="font-size: 24px; font-weight: 700;" class="ff-c">
          {{card.value}}
        </label>
      </mat-card-content>
    </mat-card>

  </div>

  <div fxLayout="row" style="background-color: lightgray; height: 1px; width: 100%"></div>

  <div fxLayout="row wrap" style="margin-top: 1rem">
    <div *ngFor="let chart of charts" fxFlex="50" [fxFlex.lt-sm]="100"  [fxFlex.sm]="100">
      <app-chart-container [title]="chart.title" [data]="chart.data" [type]="chart.chartType"></app-chart-container>
    </div>
  </div>
</div>
